## empathy-status-presets

empathy-status-presets

## Synopsis

    void                empathy_status_presets_get_all      (void);
    GList *             empathy_status_presets_get          (McPresence state,
                                                             gint max_number);
    void                empathy_status_presets_set_last     (McPresence state,
                                                             const gchar *status);
    void                empathy_status_presets_remove       (McPresence state,
                                                             const gchar *status);
    void                empathy_status_presets_reset        (void);
    McPresence          empathy_status_presets_get_default_state
                                                            (void);
    const gchar *       empathy_status_presets_get_default_status
                                                            (void);
    void                empathy_status_presets_set_default  (McPresence state,
                                                             const gchar *status);
    void                empathy_status_presets_clear_default
                                                            (void);

## Description

## Details

### empathy_status_presets_get_all ()

    void                empathy_status_presets_get_all      (void);

### empathy_status_presets_get ()

    GList *             empathy_status_presets_get          (McPresence state,
                                                             gint max_number);

`state` : |
`max_number` : |
Returns : |

### empathy_status_presets_set_last ()

    void                empathy_status_presets_set_last     (McPresence state,
                                                             const gchar *status);

`state` : |
`status` : |

### empathy_status_presets_remove ()

    void                empathy_status_presets_remove       (McPresence state,
                                                             const gchar *status);

`state` : |
`status` : |

### empathy_status_presets_reset ()

    void                empathy_status_presets_reset        (void);

### empathy_status_presets_get_default_state ()

    McPresence          empathy_status_presets_get_default_state
                                                            (void);

Returns : |

### empathy_status_presets_get_default_status ()

    const gchar *       empathy_status_presets_get_default_status
                                                            (void);

Returns : |

### empathy_status_presets_set_default ()

    void                empathy_status_presets_set_default  (McPresence state,
                                                             const gchar *status);

`state` : |
`status` : |

### empathy_status_presets_clear_default ()

    void                empathy_status_presets_clear_default
                                                            (void);